# The contents of this file are subject to the Mozilla Public License Version 1.1
# (the "License"); you may not use this file except in compliance with the License.
# You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
# 
# Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
# WARRANTY OF ANY KIND, either express or implied. See the License for the specific
# language governing rights and limitations under the License.
# 
# The Original Code is the Venice Web Communities System.
# 
# The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
# for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
# Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
# 
# Contributor(s): 
#

USE venice;

##############################################################################
# Table Creation
##############################################################################

# The table which stores federations for a user ID.  Each user ID may federate to one or more providers.
CREATE TABLE sso_federate (
  uid INT NOT NULL,
  provider VARCHAR(249) NOT NULL,
  local_name VARCHAR(249) NOT NULL,
  remote_name VARCHAR(249) NOT NULL,
  PRIMARY KEY (uid, provider),
  UNIQUE INDEX by_local (provider, local_name),
  UNIQUE INDEX by_remote (provider, remote_name)
);

##############################################################################
# Table Additions
##############################################################################

# Add the "Identity Federations" menu item to the profile menu.
INSERT INTO menuitems (menuid, sequence, itemtype, text, linktype, link) VALUES
  (2, 100, 'TEXT', 'Identity Federations', 'SERVLET', 'sourceid/federations.js.vs?tgt=${target}');
