/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.conf.iface;

import java.util.List;
import com.silverwrist.dynamo.except.DatabaseException;
import com.silverwrist.dynamo.iface.DynamicObject;
import com.silverwrist.dynamo.iface.DynamoUser;
import com.silverwrist.venice.iface.VeniceCommunity;

public interface ConferenceAccessObject extends DynamicObject
{
  public List getConferences(DynamoUser user, VeniceCommunity comm) throws DatabaseException;

  public VeniceConference getConference(int confid) throws DatabaseException;

  public VeniceConference getConference(String alias) throws DatabaseException;

  public VeniceLinkedConference getLinkedConference(VeniceCommunity comm, int confid) throws DatabaseException;

  public VeniceLinkedConference getLinkedConference(VeniceCommunity comm, String alias) throws DatabaseException;

} // end interface ConferenceAccessObject
