/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.conf.iface;

import java.security.acl.AclNotFoundException;
import java.util.Set;
import com.silverwrist.dynamo.except.DatabaseException;
import com.silverwrist.dynamo.except.DynamoSecurityException;
import com.silverwrist.dynamo.iface.DynamicObject;
import com.silverwrist.dynamo.iface.DynamoAcl;
import com.silverwrist.dynamo.iface.DynamoGroup;
import com.silverwrist.dynamo.iface.DynamoUser;
import com.silverwrist.dynamo.iface.NamedObject;
import com.silverwrist.dynamo.iface.SecureObjectStore;

public interface VeniceConference extends DynamicObject, NamedObject, SecureObjectStore
{
  public int getConfID();

  public void setName(DynamoUser caller, String name) throws DatabaseException, DynamoSecurityException;

  public java.util.Date getCreatedDate();

  public java.util.Date getLastUpdateDate();

  public void setLastUpdateDate(DynamoUser caller, java.util.Date date)
      throws DatabaseException, DynamoSecurityException;

  public int getHostsGID();

  public DynamoGroup getHosts() throws DatabaseException;

  public DynamoAcl getAcl() throws DatabaseException, AclNotFoundException;

  public Set getAliases() throws DatabaseException;

  public String getPrimaryAlias() throws DatabaseException;

  public void setPrimaryAlias(DynamoUser caller, String alias) throws DatabaseException, DynamoSecurityException;

  public void addAlias(DynamoUser caller, String alias) throws DatabaseException, DynamoSecurityException;

  public void removeAlias(DynamoUser caller, String alias) throws DatabaseException, DynamoSecurityException;

} // end interface VeniceConference
