/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.conf.impl;

import java.util.*;
import com.silverwrist.dynamo.db.OpsBase;
import com.silverwrist.dynamo.except.*;
import com.silverwrist.dynamo.iface.*;
import com.silverwrist.dynamo.util.*;

abstract class ConferenceOps extends OpsBase
{
  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  protected ConferenceOps(DBConnectionPool pool)
  {
    super(pool);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Abstract operations
   *--------------------------------------------------------------------------------
   */

  abstract Object getProperty(int confid, PropertyKey key) throws DatabaseException;

  abstract DateObjectPair setProperty(int confid, PropertyKey key, Object value) throws DatabaseException;

  abstract DateObjectPair removeProperty(int confid, PropertyKey key) throws DatabaseException;

  abstract int[] getPropertyNamespaceIDs(int confid) throws DatabaseException;

  abstract Map getAllProperties(int confid, int namespace) throws DatabaseException;

  abstract java.util.Date setName(int confid, String name) throws DatabaseException;

  abstract void setLastUpdateDate(int confid, java.util.Date date) throws DatabaseException;

  abstract Set getAliases(int confid) throws DatabaseException;

  abstract String getPrimaryAlias(int confid) throws DatabaseException;

  abstract java.util.Date setPrimaryAlias(int confid, String alias) throws DatabaseException;

  abstract java.util.Date addAlias(int confid, String alias) throws DatabaseException;

  abstract java.util.Date removeAlias(int confid, String alias) throws DatabaseException;

} // end class ConferenceOps
