/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.event;

import com.silverwrist.dynamo.iface.UniStoreMessage;

public class MessagePositionUpdateEvent extends MessageUpdateEvent
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private transient long m_parent;
  private transient int m_seq;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public MessagePositionUpdateEvent(UniStoreMessage src, long parent, int seq)
  {
    super(src);
    m_parent = parent;
    m_seq = seq;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class MessageUpdateEvent
   *--------------------------------------------------------------------------------
   */

  public String toString()
  {
    return "MessagePositionUpdateEvent: message ID#" + getMessage().getMessageID() + ", parent message ID#"
                                                     + m_parent + ", sequence = " + m_seq;

  } // end toString

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public long getParentMessageID()
  {
    return m_parent;

  } // end getParentMessageID

  public int getSequence()
  {
    return m_seq;

  } // end getSequence

} // end class MessagePositionUpdateEvent
