/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.servlet;

import javax.servlet.*;
import com.silverwrist.dynamo.iface.*;

class ServletMIMETypeMapper implements MIMETypeMapper
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private ServletContext m_ctx;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  ServletMIMETypeMapper(ServletContext ctx)
  {
    m_ctx = ctx;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface MIMETypeMapper
   *--------------------------------------------------------------------------------
   */

  public String getMIMEType(String filename)
  {
    String rc = m_ctx.getMimeType(filename);
    if (rc==null)
      rc = "application/octet-stream";
    return rc;

  } // end filename

} // end class ServletMIMETypeMapper
