/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.iface;

import java.util.List;
import com.silverwrist.dynamo.except.DatabaseException;

public interface VeniceCategory
{
  public int getCategoryID();

  public int getNumLevels();

  public int getIDAtLevel(int level);

  public String getTitleAtLevel(int level);

  public List getSubCategories() throws DatabaseException;

  public VeniceCategory getSuperCategory(int levels);

  public VeniceCategory getParentCategory();

  public int getLinkedCategoryID();

  public boolean isSymbolicLink();

  public VeniceCategory getLinkedCategory() throws DatabaseException;

  public boolean equals(Object obj);

  public int hashCode();

  public String toString();

} // end interface VeniceCategory
